#
# spec file for package rubygem-nori
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-nori
Version:        2.6.0
Release:        1.30
%define mod_name nori
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.9.2}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/savonrb/nori
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        XML to Hash translator
License:        MIT
Group:          Development/Languages/Ruby

%description
XML to Hash translator.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri May  8 2015 coolo@suse.com
- updated to version 2.6.0
  see installed CHANGELOG.md
  [#] 2.6.0 (2015-05-06)
  * Feature: [#69](https://github.com/savonrb/nori/pull/69) Add option to convert empty tags to a value other than nil.
* Thu Apr  2 2015 coolo@suse.com
- updated to version 2.5.0
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun May 18 2014 coolo@suse.com
- updated to version 2.4.0
  * Change: Dropped support for ruby 1.8, rubinius and ree
  * Feature: Added `:convert_attributes` feature similar to `:convert_tags_to`
  * Feature: Added `:convert_dashes_to_underscore` option
* Tue Jul 30 2013 coolo@suse.com
- updated to version 2.3.0
  * Change: `Nori#find` now ignores namespace prefixes in Hash keys it is searching through.
  * Fix: Limited Nokogiri to < 1.6, because v1.6 dropped support for Ruby 1.8.
* Mon May 13 2013 coolo@suse.com
- updated to version 2.2.0
  * Feature: [#42](https://github.com/savonrb/nori/pull/42) adds the `:delete_namespace_attributes`
  option to remove namespace attributes like `xmlns:*` or `xsi:*`.
  [#] 2.1.0 (2013-04-21)
  * Feature: Added `Nori.hash_key` and `Nori#find` to work with Hash keys generated by Nori.
  Original issue: [savonrb/savon#393](https://github.com/savonrb/savon/pull/393)
  [#] 2.0.4 (2013-02-26)
  * Fix: [#37](https://github.com/savonrb/nori/issues/37) special characters
  problem on Ruby 1.9.3-p392.
* Sat Feb  9 2013 coolo@suse.com
- updated to version 2.0.3
  * Fix for remote code execution bug. For more in-depth information, read about the
  recent [Rails hotfix](https://groups.google.com/forum/?fromgroups=#!topic/rubyonrails-security/61bkgvnSGTQ).
  Please make sure to upgrade now!
* Fri Dec 14 2012 coolo@suse.com
- updated to version 2.0.0
  Please make sure to read the updated README for how to use the new version.
  * Change: Nori now defaults to use the Nokogiri parser.
  * Refactoring: Changed the `Nori` module to a class. This might cause problems if you
  included the `Nori` module somewhere in your application. This use case was removed
  for overall simplicity.
  * Refactoring: Changed the interface to remove any global state. The global configuration
  is gone and replaced with simple options to be passed to `Nori.new`.
    ``` ruby
    parser = Nori.new(strip_namespaces: true)
    parser.parse(xml)
    ```
  * Refactoring: Removed the `Nori::Parser` module methods. After refactoring the rest,
  there was only a single method left for this module and that was moved to `Nori`.
  * Fix: [#16](https://github.com/savonrb/nori/issues/16) strip XML passed to Nori.
* Fri Jul 22 2011 fcastelli@novell.com
- Fix provides statement.
* Fri Jul 22 2011 fcastelli@novell.com
- Add provides rubygem-nori-1. It's required to build rubygem-savon.
* Thu Jul 21 2011 cmessel@novell.com
- Package version 1.0.2
